Index: src/X.c
--- src/X.c.orig	2005-01-18 08:12:16 +0100
+++ src/X.c	2005-07-25 19:53:26 +0200
@@ -24,6 +24,13 @@
 #include "delegate.h"
 #include "fpoll.h"
 #include "proc.h"
+
+/* #undef CS unconditionally
+ * real problem exists under Solaris (10) that defines CS in
+ * /usr/include/sys/ucontext.h which is included together with stdlib.h
+ */
+#undef CS
+
 void DBGMSG(PCStr(fmt),...);
 
 static jmp_buf tel_env;
Index: src/dget.c
--- src/dget.c.orig	2005-03-14 03:29:45 +0100
+++ src/dget.c	2005-07-25 19:53:26 +0200
@@ -27,6 +27,12 @@
 #include "file.h"
 #include "auth.h"
 
+/* #undef ERR unconditionally
+ * real problem exists under Solaris (10) that defines ERR in
+ * /usr/include/sys/regset.h which is included together with stdlib.h
+ */
+#undef ERR
+
 const char *strid_find(int tab,int hx,int id);
 int connect2server(Connection *Conn,PCStr(proto),PCStr(host),int port);
 
Index: src/smtpgate.c
--- src/smtpgate.c.orig	2005-02-28 23:38:56 +0100
+++ src/smtpgate.c	2005-07-25 19:53:26 +0200
@@ -49,6 +49,12 @@
 #include "file.h"
 #include "auth.h"
 
+/* #undef FS unconditionally 
+ * real problem exists under Solaris (10) that defines FS in
+ * /usr/include/sys/ucontext.h which is included together with stdlib.h
+ */
+#undef FS
+
 #define LNSIZE  1024
 #define lfprintf	SMTP_lfprintf
 void SMTP_lfprintf(FILE *log,FILE *tosc,PCStr(fmt),...);
Index: src/telnet.c
--- src/telnet.c.orig	2005-03-01 00:25:53 +0100
+++ src/telnet.c	2005-07-25 19:53:26 +0200
@@ -28,6 +28,12 @@
 #include "auth.h"
 #include "proc.h"
 
+/* #undef CS unconditionally
+ * real problem exists under Solaris (10) that defines CS in
+ * /usr/include/sys/ucontext.h which is included together with stdlib.h
+ */
+#undef CS
+
 extern int IO_TIMEOUT;
 
 int makeXproxy(Connection *Conn,PVStr(pxdisplay),PCStr(display),PVStr(pxhost),PCStr(relhost),PCStr(me),int timeo);
Index: src/urlfind.c
--- src/urlfind.c.orig	2005-02-27 01:05:45 +0100
+++ src/urlfind.c	2005-07-25 19:53:26 +0200
@@ -25,6 +25,12 @@
 #include "ystring.h"
 #include "dglib.h"
 
+/* #undef ERR unconditionally
+ * real problem exists under Solaris (10) that defines ERR in
+ * /usr/include/sys/regset.h which is included together with stdlib.h
+ */
+#undef ERR
+
 static const char *usage = "\
 Usage: urlfind URL\n\
     -- Find recursively in URL space.\n\
Index: teleport/vehicle.c
--- teleport/vehicle.c.orig	2005-03-01 00:44:54 +0100
+++ teleport/vehicle.c	2005-07-25 19:53:26 +0200
@@ -21,6 +21,12 @@
 #include <stdio.h>
 #include "teleport.h"
 
+/* #undef ERR unconditionally
+ * real problem exists under Solaris (10) that defines ERR in
+ * /usr/include/sys/regset.h which is included together with stdlib.h
+ */
+#undef ERR
+
 #define TP_INVITE	"INVITE"
 #define TP_ROUTE	"ROUTE"
 #define IMSIZE	(1024*8)
Index: src/Makefile
--- src/Makefile.orig	2005-08-04 22:10:31 +0200
+++ src/Makefile	2005-09-27 20:37:04 +0200
@@ -244,7 +244,7 @@
 SUBIN = subin
 #endif #############
 #ifdef UNIX,OS2EMX ################################################
-CFLAGSPLUS =	if(UNIX,OS2EMX) -x c++ -DQS
+CFLAGSPLUS =	if(UNIX,OS2EMX)
 COPY =		cp -p
 CFLAGS =	if(UNIX,OS2EMX) -O
 CCINX =		.c
Index: include/vsocket.h
--- include/vsocket.h.orig	2005-05-28 09:29:18.000000000 +0000
+++ include/vsocket.h	2005-09-28 19:33:45.411406000 +0000
@@ -36,7 +36,7 @@
 #include <unistd.h>
 #include <sys/types.h>
 #include <netdb.h>
-#ifdef __osf__
+#if defined(__osf__) || defined(sun)
 #define gethostbyname2(name,af) ((af==AF_INET)?gethostbyname(name):NULL)
 #endif
 
Index: maker/__forkpty.c
--- maker/__forkpty.c.orig	2005-07-30 09:42:26 +0200
+++ maker/__forkpty.c	2005-10-06 19:23:56 +0200
@@ -6,8 +6,12 @@
 #include <sys/types.h>
 #include <sys/ioctl.h>
 #include <termios.h>
+#if defined(__NetBSD__)
+#include <util.h>
+#else
 #include <libutil.h>
 #endif
+#endif
 
 int Forkpty(int *pty,char *name){
 	int pid;
